<a href="https://www.telerik.com/kendo-angular-ui/" target="_blank">
<img width="631" src="https://www.telerik.com/kendo-angular-ui/npm-banner.svg">
</a>

## Kendo UI for Angular DropDowns Package (AutoComplete, ComboBox, DropDownList, DropDownTree, MultiColumnComboBox and MultiSelect Components)

> **Important**
> * This package is part of [Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns)&mdash;a commercial library designed and built for developing business applications with Angular. Every UI component in the Kendo UI for Angular suite has been built from the ground-up specifically for Angular.
> * You will need to install a license key when adding the package to your project. For more information, please refer to the [Kendo UI for Angular My License page](https://www.telerik.com/kendo-angular-ui/my-license?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns).
> * To receive a license key, you need to either [purchase a license](https://www.telerik.com/purchase/kendo-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns) or register for a [free trial](https://www.telerik.com/download-login-v2-kendo-angular-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns). Doing so indicates that you [accept the Kendo UI for Angular License Agreement](https://www.telerik.com/purchase/license-agreement/kendo-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns).
> * The 30-day free trial gives you access to all the Kendo UI for Angular components and their full functionality. Additionally, for the period of your license, you get access to our legendary technical support provided directly by the Kendo UI for Angular dev team!
>
> [Start using Kendo UI for Angular](https://www.telerik.com/download-login-v2-kendo-angular-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns) and speed up your development process!

The [Angular Dropdowns package](https://www.telerik.com/kendo-angular-ui/components/dropdowns/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns) includes variety of highly configurable drop-down types that allow you to quickly and easily create the exact Dropdowns component you need to statisfy requirements for functionality and appearance. The Dropdowns are built from the ground-up and specifically for Angular, so that you get high-performance drop-down controls which integrate tightly with your application.

<img src="https://d585tldpucybw.cloudfront.net/sfimages/default-source/default-album/angular-multicolumn-combobox-overview.png?sfvrsn=28d7c9f_0" alt="Dropdown in Angular Example">

What's Included in This Package:

* [AutoComplete](#autocomplete)
* [ComboBox](#combobox)
* [DropDownList](#dropdownlist)
* [DropDownTree](#dropdowntree)
* [MultiColumnComboBox](#multicolumncombobox)
* [MultiSelect](#multiselect)
* [MultiSelectTree](#multiselecttree)

## Angular Dropdowns Package Common Features

* **Data Binding**&mdash;Bind the Angular Dropdowns to remote or local data list that can contain primitive or complex items.
* **Virtualization**&mdash;Improve performance when loading large data sets by displaying a fixed amount of items in the dropdown lists.
* **Forms Support**&mdash;All Dropdowns provide support both for the asynchronous template-driven Angular forms and the predominantly synchronous reactive Angular forms. This feature allows you to draw on the logic set either in the template, or in the component or typescript code.
* **Filtering**&mdash;Filter functionality is included. Also, the Dropdowns provide further options for fine-tuning and customizing the funtion such as setting a minimum length of the search symbols, using the built-in filter directive, and more.
* **Grouping**&mdash;Aside from DropDownTree and MultiSeelctTree components, the dropdowns all support data grouping.
* **Disabled Options**&mdash;You can choose to disable some of the predefined list options of the Dropdowns so that, if need be present, users will not be able to interact with them.
* **Appearance**&mdash;Each component provides options for customizing the look and feel such as size, border radius, and fill modes.
* **Templates**&mdash;Customize the content and the general look and feel of the items and elements list by utilizing the ready-to-use header, footer, and other templates.
* **Globalization**&mdash;The Kendo UI for Angular Dropdowns support globalization to ensure that they can fit well in any application, no matter what languages and locales need to be supported. Additionally, the Dropdowns support rendering in a right-to-left (RTL) direction.
* **Accessibility**&mdash;The Dropdowns are accessible for screen readers and support WAI-ARIA attributes.
* **Keyboard Navigation**&mdash;The Dropdowns support a number of keyboard shortcuts which allow users to accomplish various commands.

## Angular AutoComplete Component

The [Angular AutoComplete Component](https://www.telerik.com/kendo-angular-ui/components/dropdowns/autocomplete/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns) is a text field that shows suggested values in a drop down as the user types.

## Angular ComboBox Component

The [Angular ComboBox Component](https://www.telerik.com/kendo-angular-ui/components/dropdowns/combobox/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns) is a form component in which a user chooses an item from a list of options that appear in a drop down or enter their own in the text field.

### More Features

* [Custom values](https://www.telerik.com/kendo-angular-ui/components/dropdowns/combobox/custom-values/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns)&mdash;While you typically provide the list manually or through data binding, you can also allow users to enter their own values.
* [Cascading ComboBoxes](https://www.telerik.com/kendo-angular-ui/components/dropdowns/combobox/cascading/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns)&mdash;Render a series of two or more ComboBoxes where each ComboBox is filtered based on the selected option in the previous ComboBox.

## Angular DropDownList Component

The [Angular DropDownList Component](https://www.telerik.com/kendo-angular-ui/components/dropdowns/dropdownlist/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns) is a form component that allows users to selct one value from a list created manually or through data binding. Items can only be added by the user through an "Add Item" button.

### More Features

* [Add New Item](https://www.telerik.com/kendo-angular-ui/components/dropdowns/dropdownlist/add-new-item/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns)&mdash;Render an "Add New Item" button when the user enters text that does not match one of the predefined items.
* [Cascading DropDownLists](https://www.telerik.com/kendo-angular-ui/components/dropdowns/dropdownlist/cascading/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns)&mdash;Render a series of two or more DropDownLists where each DropDownList is filtered based on the selected option in the previous DropDownList.

## Angular DropDownTree Component

The [Angular DropDownTree Component](https://www.telerik.com/kendo-angular-ui/components/dropdowns/dropdowntree/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns) renders data in a tree-like structure and lets users choose a single predefined value.

### More Features

* [Control the open state](https://www.telerik.com/kendo-angular-ui/components/dropdowns/dropdowntree/open-state/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns)&mdash;Show or hide items in the options list when the component is loaded.
* [Persist expanded state of nodes](https://www.telerik.com/kendo-angular-ui/components/dropdowns/dropdowntree/expanded-state/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns)&mdash;The DropDownTree can remember the open or closed stated of nodes when a the component is reloaded.

## Angular MultiColumnComboBox Component

The [Angular MultiColumnComboBox Component](https://www.telerik.com/kendo-angular-ui/components/dropdowns/multicolumncombobox/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns) is a form component that allows users to choose from a list of items in a table (or grid) strucutre.

### More Features

* [Custom values](https://www.telerik.com/kendo-angular-ui/components/dropdowns/multicolumncombobox/custom-values/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns)&mdash;Allow users to enter their own values when they do not exist in the predefined list.
* [Contol the open state](https://www.telerik.com/kendo-angular-ui/components/dropdowns/multicolumncombobox/open-state/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns)&mdash;Show or hide items in the options list when the component is loaded.

## Angular MultiSelect Component

The [Angular MultiSelect Component](https://www.telerik.com/kendo-angular-ui/components/dropdowns/multiselect/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns) displays a list of options and allows users to select one or more.

### More Features

* [Custom values](https://www.telerik.com/kendo-angular-ui/components/dropdowns/multiselect/custom-values/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns)&mdash;Allow users to enter their own values when they do not exist in the predefined list.
* [Contol the open state](https://www.telerik.com/kendo-angular-ui/components/dropdowns/multiselect/open-state/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns)&mdash;Show or hide items in the options list when the component is loaded.
* [Summary-tag mode](https://www.telerik.com/kendo-angular-ui/components/dropdowns/multiselect/summary-tag-mode/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns)&mdash;Customize the display of the selected tags with a summary, chips, and more.

## Angular MultiSelectTree Component

The [Angular MultiSelectTree](https://www.telerik.com/kendo-angular-ui/components/dropdowns/multiselecttree/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns) is a form component that renders data in a tree-like structure and allows for multiple selection.

### More Features

* [Contol the open state](https://www.telerik.com/kendo-angular-ui/components/dropdowns/multiselecttree/open-state/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns)&mdash;Show or hide items in the options list when the component is loaded.
* [Persist expanded state of nodes](https://www.telerik.com/kendo-angular-ui/components/dropdowns/multiselecttree/expanded-state/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns)&mdash;The MultiSelectTree can remember the open or closed stated of nodes when a the component is reloaded.
* [Summary-tag mode](https://www.telerik.com/kendo-angular-ui/components/dropdowns/multiselecttree/summary-tag-mode/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns)&mdash;Customize the display of the selected tags with a summary, chips, and more.

## Resources

* [Get Started with Kendo UI for Angular (requires trial registration)](https://www.telerik.com/kendo-angular-ui/getting-started?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns)
* [Demos, documentation, and component reference](https://www.telerik.com/kendo-angular-ui/components?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns)
* [Blogs](http://www.telerik.com/blogs/kendo-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns)
* [Kendo UI for Angular pricing and licensing](https://www.telerik.com/purchase/kendo-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns)

## Questions and Feedback

* [Official Forums](https://www.telerik.com/forums/kendo-angular-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-angular-trial-npm-dropdowns)
* [GitHub Issues](https://github.com/telerik/kendo-angular/issues)
* [Feedback Portal](https://feedback.telerik.com/kendo-angular-ui)
* [StackOverflow](https://stackoverflow.com/questions/tagged/kendo-ui-angular2)

*Copyright © 2024 Progress Software Corporation and/or one of its subsidiaries or affiliates. All rights reserved.*

*Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries.*
