/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { EventEmitter, TemplateRef } from '@angular/core';
import { DropDownSize } from './models/size';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { SVGIcon } from '@progress/kendo-angular-icons';
import { ActionSheetComponent } from '@progress/kendo-angular-navigation';
import { TextBoxComponent } from '@progress/kendo-angular-inputs';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ResponsiveRendererComponent {
    localization: LocalizationService;
    title: string;
    showActionButtons: boolean;
    subtitle: string;
    size: DropDownSize;
    showTextInput: boolean;
    sharedPopupActionSheetTemplate: TemplateRef<any>;
    isActionSheetExpanded: boolean;
    text: string;
    placeholder: string;
    closePopup: EventEmitter<any>;
    textInputChange: EventEmitter<any>;
    navigate: EventEmitter<any>;
    onExpand: EventEmitter<any>;
    onCollapse: EventEmitter<any>;
    onApply: EventEmitter<any>;
    onCancel: EventEmitter<any>;
    actionSheet: ActionSheetComponent;
    actionSheetSearchBar: TextBoxComponent;
    constructor(localization: LocalizationService);
    searchBarValue: string;
    animationDuration: number;
    xIcon: SVGIcon;
    messageFor(key: string): string;
    onValueChange(value: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResponsiveRendererComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ResponsiveRendererComponent, "responsive-renderer", never, { "title": "title"; "showActionButtons": "showActionButtons"; "subtitle": "subtitle"; "size": "size"; "showTextInput": "showTextInput"; "sharedPopupActionSheetTemplate": "sharedPopupActionSheetTemplate"; "isActionSheetExpanded": "isActionSheetExpanded"; "text": "text"; "placeholder": "placeholder"; }, { "closePopup": "closePopup"; "textInputChange": "textInputChange"; "navigate": "navigate"; "onExpand": "onExpand"; "onCollapse": "onCollapse"; "onApply": "onApply"; "onCancel": "onCancel"; }, never, never, true, never>;
}
