/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * The settings for the checkboxes.
 */
export interface MultiSelectCheckableSettings {
    /**
     * Specifies whether checkboxes will be rendered before each item in the popup list.
     *
     * @default true
     */
    enabled?: boolean;
    /**
     * Determines if clicking anywhere on the item will trigger selection
     * or only through clicking a checkbox. If disabled, clicking outside the checkbox on
     * the item itself will not select the item.
     *
     * @default true
     */
    checkOnClick?: boolean;
}
/**
 * @hidden
 */
export declare const normalizeCheckboxesSettings: (settings: MultiSelectCheckableSettings | boolean) => MultiSelectCheckableSettings;
