/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { OnChanges, SimpleChanges } from '@angular/core';
import { DataBoundComponent, FlatDataBindingDirective } from '@progress/kendo-angular-treeview';
import * as i0 from "@angular/core";
/**
 * A directive which encapsulates the retrieval of the child nodes when flat data is provided.
 */
export declare class MultiSelectTreeFlatBindingDirective extends FlatDataBindingDirective implements OnChanges {
    private multiSelectTree;
    /**
     * The nodes which will be displayed by the MultiSelectTree.
     */
    set nodes(nodes: any[]);
    get nodes(): any[];
    /**
     * Represents the unique field which identifies a node.
     */
    idField: string;
    /**
     * @hidden
     */
    set filter(term: string);
    constructor(multiSelectTree: DataBoundComponent);
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MultiSelectTreeFlatBindingDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MultiSelectTreeFlatBindingDirective, "[kendoMultiSelectTreeFlatBinding]", never, { "nodes": "kendoMultiSelectTreeFlatBinding"; "idField": "valueField"; }, {}, never, never, true, never>;
}
